package com.ai.ipu.example.cache;

import org.junit.Test;

import com.ai.ipu.basic.log.ILogger;
import com.ai.ipu.basic.log.IpuLoggerFactory;
import com.ai.ipu.cache.CacheFactory;
import com.ai.ipu.cache.ICache;

/**
 * @author huangbo@asiainfo.com
 * @team IPU
 * @date 2019年10月10日上午11:22:30
 * @desc 缓存使用范例
 */

public class CacheExample {
    private static final String REDIS_SINGLE_NO_AUTH = "single_no_auth";
    private static final String REDIS_SINGLE = "single";
    private static final String REDIS_CLUSTER = "cluster";

    /**
     * 单节点缓存存取，有鉴权
     */
    @Test
    public void testSetAndGet() throws Exception {
        ICache cache = CacheFactory.getCache(REDIS_SINGLE);
        cache.put("key", "value");
        System.out.println("key===" + cache.get("key"));
    }
    
    /**
     * 单节点缓存存取，无鉴权
     */
    @Test
    public void testSetAndGetWithNoAuth() throws Exception {
        ICache cache = CacheFactory.getCache(REDIS_SINGLE_NO_AUTH);
        cache.put("key", "value");
        System.out.println("key===" + cache.get("key"));
    }
    
    /**
     * 集群缓存存取
     */
    @Test
    public void testSetAndGetByCluster() throws Exception {
        ICache cache = CacheFactory.getCache(REDIS_CLUSTER);
        cache.put("key", "value");
        System.out.println("key===" + cache.get("key"));
    }
}
