package com.ai.ipu.example.db;

import com.ai.ipu.example.db.model.IpuDbDemoDto;
import com.ai.ipu.example.db.service.IpuDbDemoService;
import org.junit.Before;
import org.junit.Test;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author liutong3
 * @team IPU
 * @date 2019/10/15 16:05
 */
public class IpuDatabaseExample {
    private IpuDbDemoService service;

    @Before
    public void before() throws Exception {
        service = new IpuDbDemoService();
    }

    /**
     * 普通查询
     */
    @Test
    public void testSelect() throws Exception {
        System.out.println(service.select());
    }

    /**
     * 条件查询
     */
    @Test
    public void testSelectById() throws Exception {
        System.out.println(service.selectById(0));
    }

    /**
     * 新增
     */
    @Test
    public void testInsert() throws Exception {
        int pk = 999;
        System.out.println(service.selectById(pk));
        System.out.println("--------------------");
        IpuDbDemoDto ipuDbDemoDto = new IpuDbDemoDto();
        ipuDbDemoDto.setPk(pk);
        ipuDbDemoDto.setString_type("测试新增");
        ipuDbDemoDto.setInt_type(10);
        ipuDbDemoDto.setDecimal_type(new BigDecimal(10.10));
        ipuDbDemoDto.setDate_type(new Date());
        ipuDbDemoDto.setDatetime_type(new Date());
        ipuDbDemoDto.setNull_type("");
        System.out.println(service.insert(ipuDbDemoDto));
        System.out.println("--------------------");
        System.out.println(service.selectById(pk));
    }

    /**
     * 条件删除
     */
    @Test
    public void testDeleteById() throws Exception {
        int pk = 1;
        System.out.println(service.selectById(pk));
        System.out.println("--------------------");
        System.out.println(service.deleteById(pk));
        System.out.println("--------------------");
        System.out.println(service.selectById(pk));
    }

    /**
     * 条件更新
     */
    @Test
    public void testUpdateString_typeById() throws Exception {
        int pk = 1;
        System.out.println(service.selectById(pk));
        System.out.println("--------------------");
        System.out.println(service.updateString_typeById(pk, "测试修改"));
        System.out.println("--------------------");
        System.out.println(service.selectById(pk));
    }
}
