package com.ai.ipu.example.db;

import com.ai.ipu.data.JMap;
import com.ai.ipu.data.impl.JsonMap;
import com.ai.ipu.database.conn.SqlSessionManager;
import com.ai.ipu.sql.mgmt.ISqlMgmtDao;
import com.ai.ipu.sql.mgmt.SqlMgmtDaoFactory;
import org.junit.Test;

import java.util.List;
import java.util.Map;

/**
 * @author liutong3
 * @team IPU
 * @date 2019/10/12 14:44
 */
public class IpuSqlMgmtExample {
    //通过数据库获取sql并查询
    @Test
    public void testGetSqlByDb() {
        try {
            String connName = "db_druid";
            ISqlMgmtDao dao = SqlMgmtDaoFactory.createDbSqlMgmtDao(connName);
            JMap params = new JsonMap();
            params.put("pk", 0);
            List<Map<String, Object>> result = dao.executeSelect("com.ai.ipu.ipu-db-demo.ipu-db-demo", "select", params);
            System.out.println("查询结果：" + result);
        }catch (Exception e) {
            e.printStackTrace();
        } finally {
            SqlSessionManager.closeAll();
        }
    }

    @Test
    public void testGetSqlByFile() {
        try {
            String connName = "db_druid";
            ISqlMgmtDao dao = SqlMgmtDaoFactory.createFileSqlMgmtDao(connName);
            JMap params = new JsonMap();
            params.put("pk", 0);
            List<Map<String, Object>> result = dao.executeSelect("com.ai.ipu.ipu-db-demo.ipu-db-demo", "select", params);
            System.out.println("查询结果：" + result);
        }catch (Exception e) {
            e.printStackTrace();
        } finally {
            SqlSessionManager.closeAll();
        }
    }
}
