package com.ai.ipu.example.db.service;

import com.ai.ipu.database.dao.IpuDaoManager;
import com.ai.ipu.example.db.dao.IpuDbDemoDao;
import com.ai.ipu.example.db.model.IpuDbDemoDto;

import java.util.List;

/**
 * @author liutong3
 * @team IPU
 * @date 2019/10/15 17:02
 * @desc service层，绑定dao
 */
public class IpuDbDemoService {
    private IpuDbDemoDao dao;

    /**
     * 获取test的dao
     */
    public IpuDbDemoService() throws Exception {
        dao = IpuDaoManager.takeDao(IpuDbDemoDao.class, "db_druid");
    }

    public List<IpuDbDemoDto> select() throws Exception {
        return dao.select();
    }

    public IpuDbDemoDto selectById(int id) throws Exception {
        return dao.selectById(id);
    }

    public int insert(IpuDbDemoDto ipuDbDemoDto) throws Exception {
        return dao.insert(ipuDbDemoDto);
    }

    public int deleteById(int id) throws Exception {
        return dao.deleteById(id);
    }

    public int updateString_typeById(int id, String value) throws Exception {
        return dao.updateString_typeById(id, value);
    }
}
