package com.ai.ipu.example.db.dao;

import java.util.Map;

import org.junit.Test;

import com.ai.ipu.common.date.TimeUtil;
import com.ai.ipu.data.JMap;
import com.ai.ipu.data.impl.JsonMap;
import com.ai.ipu.database.conn.SqlSessionManager;
import com.ai.ipu.database.dao.IpuDaoManager;
import com.ai.ipu.database.dao.impl.SqlDao;
import com.ai.ipu.database.dao.impl.TableDao;

/**
 * @author huangbo@asiainfo.com
 * @team IPU
 * @date 2019年10月12日下午6:05:21
 * @desc 基于单表的数据库操作
 */
public class TableDaoExample {
    private String connName = "db_druid";
    private String tableName = "ipu_db_demo";
    private boolean isCommit = true;

    @Test
    public void testSelect(){}
    @Test
    public void testInsert(){
        int result = 0;
        try {
            int pk = this.takePK();
            TableDao dao = IpuDaoManager.takeDao(TableDao.class, connName);
            JMap data = new JsonMap();
            data.put("pk", pk);
            data.put("string_type", "字符串" + pk);
            data.put("int_type", pk);
            data.put("decimal_type", "10." + pk);
            data.put("date_type", TimeUtil.getSysDate());
            data.put("datetime_type", TimeUtil.getSysTime());
            result = dao.insert(tableName, data);

            System.out.println("插入成功：" + result + "条数据");
            if (isCommit)
                SqlSessionManager.commit(connName);
        }
        catch (Exception e) {
            System.err.println("插入失败：" + e.getMessage());
        }
    }
    @Test
    public void testUpdate(){}
    @Test
    public void testDelete(){}
    
    public int takePK() throws Exception {
        SqlDao sqlDao = IpuDaoManager.takeDao(SqlDao.class, connName);
        String sql = "SELECT * FROM ipu_db_demo ORDER BY pk DESC";
        Map<String, Object> dataResult = sqlDao.executeSelectFirst(sql);
        int pk;
        if(dataResult==null||dataResult.isEmpty()){
            pk = 0;
        }else{
            pk = Integer.parseInt(dataResult.get("pk").toString());
            pk++;
        }
        return pk;
    }
}
