package com.ai.ipu.example.hadoop;

import com.ai.ipu.basic.file.ResourceBundleUtil;
import com.ai.ipu.basic.log.ILogger;
import com.ai.ipu.basic.log.IpuLoggerFactory;

/**
 * 类描述
 *
 * @author lilb3@asiainfo.com
 * @since 2019-07-01 15:36
 **/
public class HadoopConfig {
    private static final ILogger LOGGER = IpuLoggerFactory.createLogger(HadoopConfig.class);
    private static final String CONFIG_FILE_PATH = "hadoop";
    /*要连接的Hadoop地址URI， 如hdfs://ip:port*/
    private static String hdfsPath;
    /*是否支持使用Host Name连接Hadoop， true：支持 false：不支持*/
    private static String dfsClientUseDatanodeHostname;
    /*测试创建的Dir的名称*/
    private static String dirName;
    /*测试创建的file的名称， 文件路径为 /mkdir.name/*/
    private static String fileName;
    /*测试写入文件的字符串*/
    private static String writeString;
    /*测试上传到hdfs的文件名，本地需要有对应的文件*/
    private static String uploadLocalFile;
    /*测试下载到本地的文件名*/
    private static String downloadLocalFile;

    public static String getHdfsPath() {
        return hdfsPath;
    }

    public static String getDfsClientUseDatanodeHostname() {
        return dfsClientUseDatanodeHostname;
    }

    public static String getDirName() {
        return dirName;
    }

    public static String getFileName() {
        return fileName;
    }

    public static String getWriteString() {
        return writeString;
    }

    public static String getUploadLocalFile() {
        return uploadLocalFile;
    }

    public static String getDownloadLocalFile() {
        return downloadLocalFile;
    }

    /*加载配置文件*/
    static {
        try {
            ResourceBundleUtil.initialize(CONFIG_FILE_PATH, HadoopConfig.class);
        } catch (Exception e) {
            LOGGER.error(CONFIG_FILE_PATH + "配置文件读取失败", e);
        }
    }
}
