package com.ai.ipu.example.hbase;

import com.ai.ipu.basic.file.ResourceBundleUtil;
import com.ai.ipu.basic.log.ILogger;
import com.ai.ipu.basic.log.IpuLoggerFactory;

/**
 * 类描述
 *
 * @author lilb3@asiainfo.com
 * @since 2019-07-01 15:36
 **/
public class HbaseConfig {
    private static final ILogger LOGGER = IpuLoggerFactory.createLogger(HbaseConfig.class);
    private static final String CONFIG_FILE_PATH = "hbase";
    /*hadoop的安装目录*/
    private static String hadoopHomeDir;
    /*hbase在hadoop上的存储路径*/
    private static String hbaseRootdir;
    /*hbase连接的zookeeper集群地址*/
    private static String hbaseZookeeperQuorum;
    /*hbase表名*/
    private static String tableName;
    /*hbase表的列族*/
    private static String tableCloumns;
    /*studeng的格式*/
    private static String key;
    private static String zhangShan;
    private static String liSi;
    private static String wangWu;

    public static String getHadoopHomeDir() {
        return hadoopHomeDir;
    }

    public static String getHbaseRootdir() {
        return hbaseRootdir;
    }

    public static String getHbaseZookeeperQuorum() {
        return hbaseZookeeperQuorum;
    }

    public static String getTableName() {
        return tableName;
    }

    public static String getTableCloumns() {
        return tableCloumns;
    }

    public static String getKey() {
        return key;
    }

    public static String getZhangShan() {
        return zhangShan;
    }

    public static String getLiSi() {
        return liSi;
    }

    public static String getWangWu() {
        return wangWu;
    }

    /*加载配置文件*/
    static {
        try {
            ResourceBundleUtil.initialize(CONFIG_FILE_PATH, HbaseConfig.class);
        } catch (Exception e) {
            LOGGER.error(CONFIG_FILE_PATH + "配置文件读取失败", e);
        }
    }
}
